<div class="user-details">
  <div class="user-details__expand">
    <img src="assets/icons/expand-icon.svg" alt="expand">
  </div>
  <div class="user-details__head">
    <div class="user-details__img">
      <img [src]="user.picture" alt="" (error)="handleMissingAvatar($event)">
    </div>
    <div class="user-details__name">
      <p>{{ user.getName() }}</p>
    </div>
    <app-user-role-badge class="user-details__role" [roles]="user.roles"></app-user-role-badge>
  </div>
  <div class="user-details__email">
    <span>Email</span>
    <p>{{user.email}}</p>
  </div>
  <div class="user-details__balance">
    <span>Balance</span>
    <p>{{ user.getLdsFormattedBalance() }} LDS</p>
  </div>
  <div class="user-details__balance">
    <p>{{ user.getBnbFormattedBalance() }} BNB</p>
  </div>

  <div class="divider"></div>

  <app-role-manage [roles]="user.roles" (updatedRoles)="onUpdatedRoles($event)"></app-role-manage>
</div>
